package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_JYJL") //教育经历
public class RsRlzyJyjlPO {
    @TableId(value = "rs_rlzy_jyjl_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_jyjl_lsh")
    private String rsrlzyjyjllsh;//教育经历流水号

    @TableField(value = "rs_yhlsh")
    private String rsyhlsh;//用户流水号

    private String sfyhwjl;//是否有海外经历
    private String byyx;//毕业院校
    private String rxsj;//入学时间
    private String bysj;//毕业时间
    private String xl;//学历
    private String sxzy;//所学专业
    private String xw;//学位
    private String xz;//学制

    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    @TableField(exist = false)
    private String dyblsh;//对应表流水号
    @TableField(exist = false)
    private String xlname;
    @TableField(exist = false)
    private String xwname;
    @TableField(exist = false)
    private String xzname;

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getXlname() {
        return xlname;
    }

    public void setXlname(String xlname) {
        this.xlname = xlname;
    }

    public String getXwname() {
        return xwname;
    }

    public void setXwname(String xwname) {
        this.xwname = xwname;
    }

    public String getXzname() {
        return xzname;
    }

    public void setXzname(String xzname) {
        this.xzname = xzname;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public String getRsrlzyjyjllsh() {
        return rsrlzyjyjllsh;
    }

    public void setRsrlzyjyjllsh(String rsrlzyjyjllsh) {
        this.rsrlzyjyjllsh = rsrlzyjyjllsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getSfyhwjl() {
        return sfyhwjl;
    }

    public void setSfyhwjl(String sfyhwjl) {
        this.sfyhwjl = sfyhwjl;
    }

    public String getByyx() {
        return byyx;
    }

    public void setByyx(String byyx) {
        this.byyx = byyx;
    }

    public String getRxsj() {
        return rxsj;
    }

    public void setRxsj(String rxsj) {
        this.rxsj = rxsj;
    }

    public String getBysj() {
        return bysj;
    }

    public void setBysj(String bysj) {
        this.bysj = bysj;
    }

    public String getXl() {
        return xl;
    }

    public void setXl(String xl) {
        this.xl = xl;
    }

    public String getSxzy() {
        return sxzy;
    }

    public void setSxzy(String sxzy) {
        this.sxzy = sxzy;
    }

    public String getXw() {
        return xw;
    }

    public void setXw(String xw) {
        this.xw = xw;
    }

    public String getXz() {
        return xz;
    }

    public void setXz(String xz) {
        this.xz = xz;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }
}


